hpp-corbaserver: _objref_Implicit Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Implicit Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for _objref_Implicit:
[legend]
Collaboration diagram for _objref_Implicit:
[legend]

## Public Member Functions
DifferentiableFunction_ptr | function ()
size_type | rightHandSideSize ()
size_type | parameterSize ()
floatSeq * | rightHandSideAt (::hpp::value_type s)
ComparisonTypes_t * | getComparisonType ()
void | setComparisonType (const ::hpp::ComparisonTypes_t &compType)
| _objref_Implicit ()
| _objref_Implicit (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Implicit ()

## Friends
class | Implicit

## Constructor & Destructor Documentation

## ◆ _objref_Implicit() [1/2]

_objref_Implicit::_objref_Implicit | ( |  | ) |
| inline

## ◆ _objref_Implicit() [2/2]

_objref_Implicit::_objref_Implicit | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Implicit()

virtual _objref_Implicit::~_objref_Implicit | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ function()

DifferentiableFunction_ptr _objref_Implicit::function | ( |  | ) |

## ◆ getComparisonType()

ComparisonTypes_t* _objref_Implicit::getComparisonType | ( |  | ) |

## ◆ parameterSize()

size_type _objref_Implicit::parameterSize | ( |  | ) |

## ◆ rightHandSideAt()

floatSeq* _objref_Implicit::rightHandSideAt | ( | ::hpp::value_type | s | ) |

## ◆ rightHandSideSize()

size_type _objref_Implicit::rightHandSideSize | ( |  | ) |

## ◆ setComparisonType()

void _objref_Implicit::setComparisonType | ( | const ::hpp::ComparisonTypes_t & | compType | ) |

## Friends And Related Function Documentation

## ◆ Implicit

friend class Implicit
| friend

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh